TLM-2.0: tlm::tlm_transport_to_master< REQ, RSP > Class Template Reference

# tlm::tlm_transport_to_master< REQ, RSP > Class Template Reference

`#include <tlm_adapters.h>`

Inheritance diagram for tlm::tlm_transport_to_master< REQ, RSP >:

[legend]
Collaboration diagram for tlm::tlm_transport_to_master< REQ, RSP >:

[legend]

List of all members.

## Public Member Functions
| tlm_transport_to_master (sc_core::sc_module_name nm)
| tlm_transport_to_master ()
RSP | transport (const REQ &req)
## Public Attributes
sc_core::sc_export < tlm_transport_if< REQ, RSP > > | target_export
sc_core::sc_port < tlm_master_if< REQ, RSP > > | master_port

## Detailed Description

### template<typename REQ, typename RSP>
class tlm::tlm_transport_to_master< REQ, RSP >

Definition at line 26 of file tlm_adapters.h.

## Constructor & Destructor Documentation

template<typename REQ , typename RSP >

tlm::tlm_transport_to_master< REQ, RSP >::tlm_transport_to_master | ( | sc_core::sc_module_name | nm | ) | `[inline]`

Definition at line 34 of file tlm_adapters.h.

template<typename REQ , typename RSP >

tlm::tlm_transport_to_master< REQ, RSP >::tlm_transport_to_master | ( |  | ) | `[inline]`

Definition at line 41 of file tlm_adapters.h.

## Member Function Documentation

template<typename REQ , typename RSP >

RSP tlm::tlm_transport_to_master< REQ, RSP >::transport | ( | const REQ & | req | ) | `[inline, virtual]`

Implements tlm::tlm_transport_if< REQ, RSP >.

Definition at line 48 of file tlm_adapters.h.

## Member Data Documentation

template<typename REQ , typename RSP >

sc_core::sc_port< tlm_master_if< REQ , RSP > > tlm::tlm_transport_to_master< REQ, RSP >::master_port

Definition at line 32 of file tlm_adapters.h.

template<typename REQ , typename RSP >

sc_core::sc_export< tlm_transport_if< REQ , RSP > > tlm::tlm_transport_to_master< REQ, RSP >::target_export

Definition at line 31 of file tlm_adapters.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_1/tlm_req_rsp/tlm_adapters/tlm_adapters.h